searchNodes=[{"doc":"Documentation for AbaValidator .","ref":"AbaValidator.html","title":"AbaValidator","type":"module"},{"doc":"Get the entries as part of the descriptive record Examples iex&gt; AbaValidator . get_descriptive_record ( 1 ) { :error , :invalid_input } iex&gt; AbaValidator . get_descriptive_record ( &quot;11&quot; ) { :error , :incorrect_length } iex&gt; AbaValidator . get_descriptive_record ( &quot;01&quot; ) { :error , :incorrect_length } iex&gt; AbaValidator . get_descriptive_record ( &quot;1 01CBA test 301500221212121227121222 &quot; ) { :error , :incorrect_starting_code } iex&gt; AbaValidator . get_descriptive_record ( &quot;0 CBA test 301500221212121227121222 &quot; ) { :error , { :invalid_format , [ :reel_sequence_number ] } } iex&gt; AbaValidator . get_descriptive_record ( &quot;0 01CBA test 301500221212121227121222 &quot; ) { :ok , { &quot;01&quot; , &quot;CBA&quot; , &quot;test &quot; , &quot;301500&quot; , &quot;221212121227&quot; , &quot;121222&quot; } }","ref":"AbaValidator.html#get_descriptive_record/1","title":"AbaValidator.get_descriptive_record/1","type":"function"},{"doc":"Get the entries as part of the detail record Examples iex&gt; AbaValidator . get_detail_record ( 1 ) { :error , :invalid_input } iex&gt; AbaValidator . get_detail_record ( &quot;11&quot; ) { :error , :incorrect_length } iex&gt; AbaValidator . get_detail_record ( &quot;01&quot; ) { :error , :incorrect_length } iex&gt; AbaValidator . get_detail_record ( &quot;1032 898 12345678 130000035389money Batch payment 040 404 12345678test 00000000&quot; ) { :error , { :invalid_format , [ :bsb , :trace_record ] } } iex&gt; AbaValidator . get_detail_record ( &quot;1 &quot; ) { :error , { :invalid_format , [ :bsb , :account_number , :transasction_code , :amount , :account_name , :reference , :trace_record , :trace_account_number , :remitter , :withheld_tax ] } } iex&gt; AbaValidator . get_detail_record ( &quot;7999 999 000000000000000353890000035388 000002 &quot; ) { :error , :incorrect_starting_code } iex&gt; AbaValidator . get_detail_record ( &quot;1032-898 12345678 130000035389 money Batch payment 040-404 12345678 test 00000000&quot; ) { :ok , { &quot;032-898&quot; , &quot;12345678&quot; , :blank , :externally_initiated_debit , 35389 , &quot; money&quot; , &quot; Batch payment&quot; , &quot;040-404&quot; , &quot;12345678&quot; , &quot; test&quot; , 0 } } iex&gt; AbaValidator . get_detail_record ( &quot;1032-8980-2345678N130000035389money Batch payment 040-404 12345678test 00000000&quot; ) { :ok , { &quot;032-898&quot; , &quot;0-2345678&quot; , :new_bank , :externally_initiated_debit , 35389 , &quot;money&quot; , &quot;Batch payment&quot; , &quot;040-404&quot; , &quot;12345678&quot; , &quot;test&quot; , 0 } }","ref":"AbaValidator.html#get_detail_record/1","title":"AbaValidator.get_detail_record/1","type":"function"},{"doc":"Get the entries as part of the file total record Examples iex&gt; AbaValidator . get_file_total_record ( 1 ) { :error , :invalid_input } iex&gt; AbaValidator . get_file_total_record ( &quot;11&quot; ) { :error , :incorrect_length } iex&gt; AbaValidator . get_file_total_record ( &quot;01&quot; ) { :error , :incorrect_length } iex&gt; AbaValidator . get_file_total_record ( &quot;1 01CBA test 301500221212121227121222 &quot; ) { :error , :incorrect_starting_code } iex&gt; AbaValidator . get_file_total_record ( &quot;7999 999 000000000000000353890000035388 000000 &quot; ) { :error , { :invalid_format , [ :bsb_filler , :net_total_mismatch ] } } iex&gt; AbaValidator . get_file_total_record ( &quot;7 &quot; ) { :error , { :invalid_format , [ :bsb_filler , :net_total , :total_credit , :total_debit , :record_count ] } } iex&gt; AbaValidator . get_file_total_record ( &quot;7999 999 000000000000000353890000035388 000002 &quot; ) { :error , { :invalid_format , [ :bsb_filler , :net_total_mismatch , :records_mismatch ] } } iex&gt; AbaValidator . get_file_total_record ( &quot;7999-999 000000000000000353890000035389 000000 &quot; ) { :ok , { 0 , 35389 , 35389 , 0 } }","ref":"AbaValidator.html#get_file_total_record/2","title":"AbaValidator.get_file_total_record/2","type":"function"},{"doc":"Get a description for a given transaction code. See here for the possible transaction code The following atoms are valid inputs: :allotment :australian_government_security_interest :debenture_note_interest :dividend :error :externally_initiated_credit :externally_initiated_debit :family_allowance :pay :pension Examples iex&gt; AbaValidator . get_transaction_code_description ( &quot;11&quot; ) :error iex&gt; AbaValidator . get_transaction_code_description ( 53 ) &quot;Pay&quot; iex&gt; AbaValidator . get_transaction_code_description ( :australian_government_security_interest ) &quot;Australian Government Security Interest&quot;","ref":"AbaValidator.html#get_transaction_code_description/1","title":"AbaValidator.get_transaction_code_description/1","type":"function"},{"doc":"Reads a file, validates it as an ABA file and returns the processed contents. Examples iex&gt; AbaValidator.process_aba_file(&quot;./test/helper&quot;) iex&gt; AbaValidator.process_aba_file(&quot;./test/helper/test.txt&quot;) iex&gt; AbaValidator.process_aba_file(&quot;./test/helper/test.aba&quot;) [ {:descriptive_record, :ok, {&quot;01&quot;, &quot;CBA&quot;, &quot;test &quot;, &quot;301500&quot;, &quot;221212121227&quot;, &quot;121222&quot;}}, {:detail_record, :ok, {&quot;040-440&quot;, &quot;123456&quot;, :blank, :externally_initiated_credit, 35389, &quot;4dd86..4936b&quot;, &quot;Bank cashback&quot;, &quot;040-404&quot;, &quot;12345678&quot;, &quot;test&quot;, 0}}, {:detail_record, :ok, {&quot;040-404&quot;, &quot;12345678&quot;, :blank, :externally_initiated_debit, 35389, &quot;Records&quot;, &quot;Fake payment&quot;, &quot;040-404&quot;, &quot;12345678&quot;, &quot;test&quot;, 0}}, {:file_total_record, :output, {0, 35389, 35389, 2}} ]","ref":"AbaValidator.html#process_aba_file/1","title":"AbaValidator.process_aba_file/1","type":"function"},{"doc":"","ref":"readme.html","title":"ABA Validator","type":"extras"},{"doc":"ABA File validator is an Elixir library to validate an Australian Banking Association (ABA) file. An Australian Banking Association (ABA) file is a standard of file used by Australian Banks to make multiple payments for uploading data to Internet Banking systems. Read more here","ref":"readme.html#about","title":"ABA Validator - About","type":"extras"},{"doc":"If available in Hex , the package can be installed by adding aba_validator to your list of dependencies in mix.exs : def deps do [ { :aba_validator , &quot;~&gt; 2.0.0&quot; } ] end Documentation can be generated with ExDoc and published on HexDocs . Once published, the docs can be found at https://hexdocs.pm/aba_validator . Note : Do not use anything below v2.0.","ref":"readme.html#installation","title":"ABA Validator - Installation","type":"extras"}]